# Class VcfRefAltAlign

java.lang.Object
org.snpeff.align.NeedlemanWunsch
org.snpeff.align.VcfRefAltAlign

public class VcfRefAltAlign extends NeedlemanWunsch
Needleman-Wunsch (global sequence alignment) algorithm for sequence alignment Only used for short strings (algorithm is not optimized)

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`VcfRefAltAlign(String a, String b)`

## Method Summary

Modifier and Type
Method
Description
`String`
`align()`
`Variant.VariantType`
`getVariantType()`
`void`
`setVariantType(Variant.VariantType variantType)`

### Methods inherited from class NeedlemanWunsch

`getAlignment, getAlignmentScore, getOffset, setDeletion, setMatch, setMissMatch, setUseSpace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MAX_SIZE

public static final int MAX_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### VcfRefAltAlign

public VcfRefAltAlign(String a, String b)

## Method Details

### align

public String align()

Overrides:
  `align` in class `NeedlemanWunsch`

### getVariantType

public Variant.VariantType getVariantType()

### setVariantType

public void setVariantType(Variant.VariantType variantType)